edu.isi.pegasus.planner.catalog.site.classes

## Class SiteData

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.site.classes.SiteData

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  AbstractSiteData

    public abstract class SiteData
    extends java.lang.Object
    implements java.lang.Cloneable

The abstract base class for all site catalog classes.

Version:
  $Revision$
Author:
  Karan Vahi

### Constructor Summary

Constructors
Constructor and Description
`SiteData()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SiteData

    public SiteData()